classification
Title: The path of check-c-globals.py on README is wrong
Type: Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: corona10, de-ma, shihai1991, willingc
Priority: normal Keywords: easy, newcomer friendly, patch

Created on 2019-10-09 03:48 by corona10, last changed 2019-10-23 00:29 by corona10. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16680 merged Amir, 2019-10-09 17:21
Messages (7)
msg354246 - (view) Author: Dong-hee Na (corona10) * (Python triager) Date: 2019-10-09 03:48
See https://github.com/python/cpython/blob/01171ebd966b0cd6352057799ad876dd1e07942e/Tools/c-analyzer/README#L37
msg354247 - (view) Author: Dong-hee Na (corona10) * (Python triager) Date: 2019-10-09 03:49
This is newcomer friendly issue.
msg354264 - (view) Author: hai shi (shihai1991) * Date: 2019-10-09 12:07
Maybe the keyword need add the `easy` wrod? (i don't know the internals)
newcomer need find it in `Easy issues` ;)
msg354294 - (view) Author: Dema Abu Adas (de-ma) Date: 2019-10-09 19:59
Hey, Can I take on this issue? :-)
msg354309 - (view) Author: Dong-hee Na (corona10) * (Python triager) Date: 2019-10-10 02:29
> Hey, Can I take on this issue? :-)

Unfortunately, Amir already sent a patch for this.
Please take a look at another issue :)

Thank you
msg355185 - (view) Author: Carol Willing (willingc) * (Python committer) Date: 2019-10-23 00:06
New changeset 20bf8e08a18c0f1eab49c54f3bd56f8364a2f5cc by Carol Willing (AMIR) in branch 'master':
 bpo-38419: fix "check-c-globals" path (GH-16680)
https://github.com/python/cpython/commit/20bf8e08a18c0f1eab49c54f3bd56f8364a2f5cc
msg355198 - (view) Author: Dong-hee Na (corona10) * (Python triager) Date: 2019-10-23 00:27
Thank you for your contribution AMIR!

@willingc
Thank you for merging PR 16680 Carol :)
I am now closing this issue.
History
Date User Action Args
2019-10-23 00:29:24corona10setassignee: docs@python ->

components: - Documentation
nosy: - docs@python
2019-10-23 00:27:48corona10setassignee: docs@python

components: + Documentation
nosy: + docs@python
2019-10-23 00:27:31corona10setstatus: open -> closed
resolution: fixed
messages: + msg355198

stage: patch review -> resolved
2019-10-23 00:06:03willingcsetnosy: + willingc
messages: + msg355185
2019-10-10 02:29:57corona10setmessages: + msg354309
2019-10-09 19:59:07de-masetnosy: + de-ma
messages: + msg354294
2019-10-09 17:21:58Amirsetkeywords: + patch
stage: patch review
pull_requests: + pull_request16266
2019-10-09 13:21:20corona10setkeywords: + easy
2019-10-09 12:07:22shihai1991setnosy: + shihai1991
messages: + msg354264
2019-10-09 03:49:05corona10setmessages: + msg354247
2019-10-09 03:48:05corona10create